Update resident

Update a resident for an integration.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Request

This endpoint expects an object.
resident_idstringOptional
The Propexo unique identifier for the resident
last_namestringOptional
The last name of the resident.
first_namestringOptional
The first name of the resident.
email_1stringOptionalformat: "email"
The primary email address for the resident.
email_2stringOptionalformat: "email"
The secondary email address associated with the resident
date_of_birthstringOptional
The date of birth associated with the resident
address_1stringOptional
The first address line associated with the resident
address_2stringOptional
The second address line associated with the resident
citystringOptional
The city associated with the resident
stateenumOptional
The state associated with the resident
zipstringOptional
The zip code associated with the resident
countryenumOptional
The country associated with the resident
Allowed values:
address_1_alternatestringOptional

Secondary/alternate street address for the resident. This maps to the Street property of the second address of the Tenant object

address_2_alternatestringOptional

Second line of the secondary/alternate street address for the resident. This maps to the AlternateAddress.AddressLine2 property of the Tenant object

city_alternatestringOptional

City of the resident’s secondary/alternate address

state_alternatestringOptional

State of the resident’s secondary/alternate address

zip_alternatestringOptional

Zip/Postal Code of the resident’s secondary/alternate address

country_alternateenumOptional

Country of the resident’s secondary/alternate address.

Allowed values:
notesstringOptional
Notes associated with the resident
phone_1stringOptional
The primary phone number for the resident.
phone_1_typeenumOptional
The primary phone type for the resident. Required when updating phone number.
Allowed values:
phone_2stringOptional
Secondary phone number associated with the resident
phone_2_typeenumOptional
Type of the secondary phone number
Allowed values:
middle_namestringOptional
The middle name associated with the resident
lead_source_idstringOptional
The Propexo unique identifier for the lead source
middle_initialstringOptional=1 character
The middle initial of the resident
qualifiedbooleanOptional
Whether the resident is qualified
genderenumOptional
The gender of the resident
Allowed values:
guarantorbooleanOptional
Indicates if the resident is a guarantor for the primary resident.
monthly_income_in_centsintegerOptional>=0
The monthly income of the resident, in cents
no_checks_in_cash_receiptsbooleanOptional
To restrict the resident from making payments by check, set this to true. Defaults to false.
rent_periodenumOptional
How often the resident is expected to pay rent. Allowed values are "monthly", "weekly", and "daily". Maps to the RentPeriod property of the Tenant object.
Allowed values:
rent_due_dayintegerOptional1-31
Day of the month on which the tenant's rent is due. Maps to the RentDueDay property of the Tenant object
is_primarybooleanOptional
Whether the resident is the primary record
custom_dataobjectOptionalDeprecated

Deprecated: Field is no longer applicable

eventslist of objectsOptionalDeprecated

DEPRECATED: Please use /events endpoints to write events. Array of events associated with this resident

Response

Successful response
job_idstring
The ID of the job created to handle this operation
dataobject

Errors